#ifndef TREEMAP_H
#define TREEMAP_H

/**
 * @file treemap.h
 * @brief Header file for the TreeMap project.
 */
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAX_NAME_SIZE 50


/**
 * @brief Structure representing each data element.
 */

// INPUT SECTION
// Structure for each data element
typedef struct {
    double number;  /**< The numerical value of the data element. */
    char *label;    /**< The label of the data element (can be NULL if absent). */
} Data;


#endif // TREEMAP_H
